Skip to Content
WalidoDocs
Public APICalendars

Update a calendar

PATCH
/calendars/{calendar_id}

Partial update - only included fields are changed. Passing schedules replaces the calendar's full schedules array.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key in the Authorization: Bearer <key> header. Keys are created in the Walido dashboard (Settings → API Keys).

Path Parameters

calendar_id*string
Match^[a-f0-9]{24}$

Request Body

application/json
  1. body

Partial update - include only the fields you want to change. Passing schedules replaces the full schedules array for this calendar.

Properties1 <= properties
name?string

Whitespace is trimmed; the trimmed name must be at least 1 character.

Length1 <= length <= 100
timezone?string
Length1 <= length <= 100
schedules?array<>

Response Body

Updated calendar.

application/json
  1. response
data?
Example Request
curl -X PATCH 'https://api.walido.it/api/v1/calendars/65f8fa6f1a9d8e0012ab34cd' \  -H 'Content-Type: application/json' \  -d '{  "name": "Main Office Berlin"}'
Example Response
{  "data": {    "id": "string",    "name": "string",    "timezone": "string",    "schedules": [      {        "id": "string",        "type": "opening_hours",        "weekly_schedule": {          "mon": {            "is_open": true,            "slots": [              {                "from": "string",                "to": "string"              }            ]          },          "tue": {            "is_open": true,            "slots": [              {                "from": "string",                "to": "string"              }            ]          },          "wed": {            "is_open": true,            "slots": [              {                "from": "string",                "to": "string"              }            ]          },          "thu": {            "is_open": true,            "slots": [              {                "from": "string",                "to": "string"              }            ]          },          "fri": {            "is_open": true,            "slots": [              {                "from": "string",                "to": "string"              }            ]          },          "sat": {            "is_open": true,            "slots": [              {                "from": "string",                "to": "string"              }            ]          },          "sun": {            "is_open": true,            "slots": [              {                "from": "string",                "to": "string"              }            ]          }        },        "overrides": [          {            "date": "string",            "type": "closed",            "reason": "string",            "slots": [              {                "from": "string",                "to": "string"              }            ]          }        ]      }    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}